/* $RCSfile$ */
/* $Author$ */
/* $Date$ */
/* $Revision$ */


struct L2SisLowPriorityRate
{
    uint32 ClockCycle;
    uint32 Second1996;
    uint32 microsecond;
   float32 M1a;                                /* c/s */
   float32 M1ha;                               /* c/s */
   float32 M2a;                                /* c/s */
   float32 M2ha;                               /* c/s */
   float32 T1a;                                /* c/s */
   float32 T2a;                                /* c/s */
   float32 T3a;                                /* c/s */
   float32 T4a;                                /* c/s */
   float32 T5a;                                /* c/s */
   float32 T6a;                                /* c/s */
   float32 T7a;                                /* c/s */
   float32 T8a;                                /* c/s */
   float32 M12a;                               /* c/s */
   float32 Mora;                               /* c/s */
   float32 Hora;                               /* c/s */
   float32 Hiza;                               /* c/s */
   float32 MaybeHiza;                          /* c/s */
   float32 Z2a;                                /* c/s */
   float32 MaybeZ2a;                           /* c/s */
   float32 MaybeZ1a;                           /* c/s */
   float32 M1b;                                /* c/s */
   float32 M1hb;                               /* c/s */
   float32 M2b;                                /* c/s */
   float32 M2hb;                               /* c/s */
   float32 T1b;                                /* c/s */
   float32 T2b;                                /* c/s */
   float32 T3b;                                /* c/s */
   float32 T4b;                                /* c/s */
   float32 T5b;                                /* c/s */
   float32 T6b;                                /* c/s */
   float32 T7b;                                /* c/s */
   float32 T8b;                                /* c/s */
   float32 M12b;                               /* c/s */
   float32 Morb;                               /* c/s */
   float32 Horb;                               /* c/s */
   float32 Hizb;                               /* c/s */
   float32 MaybeHizb;                          /* c/s */
   float32 Z2b;                                /* c/s */
   float32 MaybeZ2b;                           /* c/s */
   float32 MaybeZ1b;                           /* c/s */
   float32 RejFast;                            /* c/s */
   float32 StimCoin;                           /* c/s */
   float32 Hazard;                             /* c/s */
   float32 Adc2a;                              /* c/s */
   float32 Adc3a;                              /* c/s */
   float32 Adc2b;                              /* c/s */
   float32 Adc3b;                              /* c/s */
   float32 CoinRate0;                          /* c/s */
   float32 CoinRate1;                          /* c/s */
   float32 EventBuffer[NUM_SIS_EVT_BUFFERS];   /* c/s */
   float32 clasacc[NUM_SIS_EVT_CLASSES];       /* c/s */
   float32 clastot[NUM_SIS_EVT_CLASSES];       /* c/s */
   float32 livetim;                            /* sec */
   float32 helivet;                            /* sec */
   float32 hylivet;                            /* sec */
   float32 ntagint;                            /* c/s */
   float32 nvldint;                            /* c/s */
   float32 nevproc;                            /* c/s */
   float32 nrtproc;                            /* c/s */
   float32 nbadid;                             /* c/s */
   float32 ncebful;                            /* c/s */
   float32 nrebful;                            /* c/s */
   float32 nhdwrej;                            /* c/s */
   float32 EventDataRate[NUM_SIS_EVT_BUFFERS]; /* c/c */
     uint8 QualityM1a;
     uint8 QualityM1ha;
     uint8 QualityM2a;
     uint8 QualityM2ha;
     uint8 QualityT1a;
     uint8 QualityT2a;
     uint8 QualityT3a;
     uint8 QualityT4a;
     uint8 QualityT5a;
     uint8 QualityT6a;
     uint8 QualityT7a;
     uint8 QualityT8a;
     uint8 QualityM12a;
     uint8 QualityMora;
     uint8 QualityHora;
     uint8 QualityHiza;
     uint8 QualityMaybeHiza;
     uint8 QualityZ2a;
     uint8 QualityMaybeZ2a;
     uint8 QualityMaybeZ1a;
     uint8 QualityM1b;
     uint8 QualityM1hb;
     uint8 QualityM2b;
     uint8 QualityM2hb;
     uint8 QualityT1b;
     uint8 QualityT2b;
     uint8 QualityT3b;
     uint8 QualityT4b;
     uint8 QualityT5b;
     uint8 QualityT6b;
     uint8 QualityT7b;
     uint8 QualityT8b;
     uint8 QualityM12b;
     uint8 QualityMorb;
     uint8 QualityHorb;
     uint8 QualityHizb;
     uint8 QualityMaybeHizb;
     uint8 QualityZ2b;
     uint8 QualityMaybeZ2b;
     uint8 QualityMaybeZ1b;
     uint8 QualityRejFast;
     uint8 QualityStimCoin;
     uint8 QualityHazard;
     uint8 QualityAdc2a;
     uint8 QualityAdc3a;
     uint8 QualityAdc2b;
     uint8 QualityAdc3b;
     uint8 QualityCoinRate0;
     uint8 QualityCoinRate1;
     uint8 QualityEventBuffer[NUM_SIS_EVT_BUFFERS];
     uint8 QualityClasacc[NUM_SIS_EVT_CLASSES];
     uint8 QualityClastot[NUM_SIS_EVT_CLASSES];
     uint8 QualityLivetim;
     uint8 QualityHelivet;
     uint8 QualityHylivet;
     uint8 QualityNtagint;
     uint8 QualityNvldint;
     uint8 QualityNevproc;
     uint8 QualityNrtproc;
     uint8 QualityNbadid;
     uint8 QualityNcebful;
     uint8 QualityNrebful;
     uint8 QualityNhdwrej;
     uint8 QualityEventDataRate;
};


/* Definition:                                                       */
/*    ClockCycle = Adjusted S/C clock of the first minor frame of    */
/*                 the cycle in which the rate was accumulated.      */
/*                 The value 256 is subtracted from the S/C clock of */
/*                 the first minor frame of the cycle in which the   */
/*                 low priority rates were readout.                  */
/*                                                                   */
/* Note: All rates are compressed.                                   */
/*                                                                   */
/* Note: Quality bits are defined in the table below.  If the field  */
/*       which the quality byte is trying to characterize contains   */
/*       multiple bytes, the quality byte associated with the field  */
/*       is the logical "or" of the individual quality bytes.        */
/*                                                                   */
/* Quality bits:                                                     */
/*    0x01 = Format ID error                                         */
/*    0x02 = Minor/major counter error                               */
/*    0x04 = S/C clock error                                         */
/*    0x08 = Sync bit error                                          */
/*    0x10 = Command table index error                               */
/*    0x20 = Cycle number error                                      */
/*    0x40 = Level 0 quality bit                                     */
/*    0x80 = Level 1 quality bit                                     */
