/* $RCSfile$ */
/* $Author$ */
/* $Date$ */
/* $Revision$ */


struct L2CrisHskp
{
   uint32 ClockCycle;
   uint32 Second1996;
   uint32 microsecond;
   float32 MonitorP5V;                  /* V    */
   float32 MonitorP6V;                  /* V    */
   float32 MonitorM6V;                  /* V    */
   float32 MonitorP7V;                  /* V    */
   float32 MonitorM7V;                  /* V    */
   float32 MonitorP12V;                 /* V    */
   float32 MonitorM12V;                 /* V    */
   float32 MonitorP13V;                 /* V    */
   float32 MonitorM13V;                 /* V    */
   float32 MonitorP15V;                 /* V    */
   float32 MonitorP19V;                 /* V    */
   float32 MonitorMcp1;                 /* kV   */
   float32 MonitorMcp2;                 /* kV   */
   float32 MonitorHvps1I;               /* ?A   */ 
   float32 MonitorHvps2I;               /* ?A   */
   float32 MonitorHvps3I;               /* ?A   */
   float32 MonitorHvps4I;               /* ?A   */
   float32 MonitorSoftPsaI;             /* uA   */
   float32 MonitorSoftPsbI;             /* uA   */
   float32 TemperatureMotherBoardElect; /* DegC */
   float32 TemperatureMotherBoardDet;   /* DegC */
   float32 TemperatureMotherBoardC;     /* DegC */
   float32 TemperatureAnalogBoard;      /* DegC */
   float32 TemperaturePostRegBoard ;    /* DegC */
   float32 TemperatureLogicBoard;       /* DegC */
   float32 TemperatureE12Elect;         /* DegC */
   float32 TemperatureE12Det;           /* DegC */
   float32 TemperatureE34Elect;         /* DegC */
   float32 TemperatureE34Det;           /* DegC */
   float32 TemperatureE56Elect;         /* DegC */
   float32 TemperatureE56Det;           /* DegC */
   float32 TemperatureE789Elect;        /* DegC */
   float32 TemperatureE789Det;          /* DegC */
   float32 TemperatureLvps;             /* DegC */
   float32 TemperatureHvps;             /* DegC */
   float32 TemperatureFiberPlaneTop0;   /* DegC */
   float32 TemperatureFiberPlaneTop1;   /* DegC */
   float32 TemperatureFiberPlaneMid;    /* DegC */
   float32 TemperatureFiberPlaneBot;    /* DegC */
   float32 TemperatureImageInt1Side;    /* DegC */
   float32 TemperatureImageInt1Rear;    /* DegC */
   float32 TemperatureCamera1Elect;     /* DegC */
   float32 TemperatureHvps1;            /* DegC */
   float32 TemperatureImageInt2Side;    /* DegC */
   float32 TemperatureImageInt2Rear;    /* DegC */
   float32 TemperatureCamera2Elect;     /* DegC */
   float32 TemperatureHvps2;            /* DegC */
   float32 LeakageCurrentE1a;           /* uA   */
   float32 LeakageCurrentE1b;           /* uA   */
   float32 LeakageCurrentE2ab;          /* uA   */
   float32 LeakageCurrentE3ab;          /* uA   */
   float32 LeakageCurrentE4ab;          /* uA   */
   float32 LeakageCurrentE5ab;          /* uA   */
   float32 LeakageCurrentE6ab;          /* uA   */
   float32 LeakageCurrentE7ab;          /* uA   */
   float32 LeakageCurrentE8ab;          /* uA   */
   float32 LeakageCurrentE9ab;          /* uA   */
   float32 LeakageCurrentG2ab;          /* uA   */
   float32 LeakageCurrentG3ab;          /* uA   */
   float32 LeakageCurrentG4ab;          /* uA   */
   float32 LeakageCurrentG5ab;          /* uA   */
   float32 LeakageCurrentG6ab;          /* uA   */
   float32 LeakageCurrentG7ab;          /* uA   */
   float32 LeakageCurrentE1c;           /* uA   */
   float32 LeakageCurrentE1d;           /* uA   */
   float32 LeakageCurrentE2cd;          /* uA   */
   float32 LeakageCurrentE3cd;          /* uA   */
   float32 LeakageCurrentE4cd;          /* uA   */
   float32 LeakageCurrentE5cd;          /* uA   */
   float32 LeakageCurrentE6cd;          /* uA   */
   float32 LeakageCurrentE7cd;          /* uA   */
   float32 LeakageCurrentE8cd;          /* uA   */
   float32 LeakageCurrentE9cd;          /* uA   */
   float32 LeakageCurrentG2cd;          /* uA   */
   float32 LeakageCurrentG3cd;          /* uA   */
   float32 LeakageCurrentG4cd;          /* uA   */
   float32 LeakageCurrentG5cd;          /* uA   */
   float32 LeakageCurrentG6cd;          /* uA   */
   float32 LeakageCurrentG7cd;          /* uA   */
   float32 ControlVoltageDacG2ab;       /* V    */
   float32 ControlVoltageDacG3ab;       /* V    */
   float32 ControlVoltageDacG4ab;       /* V    */
   float32 ControlVoltageDacG5ab;       /* V    */
   float32 ControlVoltageDacG6ab;       /* V    */
   float32 ControlVoltageDacG7ab;       /* V    */
   float32 ControlVoltageDacE9ab;       /* V    */
   float32 ControlVoltageDacG2cd;       /* V    */
   float32 ControlVoltageDacG3cd;       /* V    */
   float32 ControlVoltageDacG4cd;       /* V    */
   float32 ControlVoltageDacG5cd;       /* V    */
   float32 ControlVoltageDacG6cd;       /* V    */
   float32 ControlVoltageDacG7cd;       /* V    */
   float32 ControlVoltageDacE9cd;       /* V    */
     uint8 QualityMonitorP5V;
     uint8 QualityMonitorP6V;
     uint8 QualityMonitorM6V;
     uint8 QualityMonitorP7V;
     uint8 QualityMonitorM7V;
     uint8 QualityMonitorP12V;
     uint8 QualityMonitorM12V;
     uint8 QualityMonitorP13V;
     uint8 QualityMonitorM13V;
     uint8 QualityMonitorP15V;
     uint8 QualityMonitorP19V;
     uint8 QualityMonitorMcp1;
     uint8 QualityMonitorMcp2;
     uint8 QualityMonitorHvps1I;
     uint8 QualityMonitorHvps2I;
     uint8 QualityMonitorHvps3I;
     uint8 QualityMonitorHvps4I;
     uint8 QualityMonitorSoftPsaI;
     uint8 QualityMonitorSoftPsbI;
     uint8 QualityTemperatureMotherBoardElect;
     uint8 QualityTemperatureMotherBoardDet;
     uint8 QualityTemperatureMotherBoardC;
     uint8 QualityTemperatureAnalogBoard;
     uint8 QualityTemperaturePostRegBoard;
     uint8 QualityTemperatureLogicBoard;
     uint8 QualityTemperatureE12Elect;
     uint8 QualityTemperatureE12Det;
     uint8 QualityTemperatureE34Elect;
     uint8 QualityTemperatureE34Det;
     uint8 QualityTemperatureE56Elect;
     uint8 QualityTemperatureE56Det;
     uint8 QualityTemperatureE789Elect;
     uint8 QualityTemperatureE789Det;
     uint8 QualityTemperatureLvps;
     uint8 QualityTemperatureHvps;
     uint8 QualityTemperatureFiberPlaneTop0;
     uint8 QualityTemperatureFiberPlaneTop1;
     uint8 QualityTemperatureFiberPlaneMid;
     uint8 QualityTemperatureFiberPlaneBot;
     uint8 QualityTemperatureImageInt1Side;
     uint8 QualityTemperatureImageInt1Rear;
     uint8 QualityTemperatureCamera1Elect;
     uint8 QualityTemperatureHvps1;
     uint8 QualityTemperatureImageInt2Side;
     uint8 QualityTemperatureImageInt2Rear;
     uint8 QualityTemperatureCamera2Elect;
     uint8 QualityTemperatureHvps2;
     uint8 QualityLeakageCurrentE1a;
     uint8 QualityLeakageCurrentE1b;
     uint8 QualityLeakageCurrentE2ab;
     uint8 QualityLeakageCurrentE3ab;
     uint8 QualityLeakageCurrentE4ab;
     uint8 QualityLeakageCurrentE5ab;
     uint8 QualityLeakageCurrentE6ab;
     uint8 QualityLeakageCurrentE7ab;
     uint8 QualityLeakageCurrentE8ab;
     uint8 QualityLeakageCurrentE9ab;
     uint8 QualityLeakageCurrentG2ab;
     uint8 QualityLeakageCurrentG3ab;
     uint8 QualityLeakageCurrentG4ab;
     uint8 QualityLeakageCurrentG5ab;
     uint8 QualityLeakageCurrentG6ab;
     uint8 QualityLeakageCurrentG7ab;
     uint8 QualityLeakageCurrentE1c;
     uint8 QualityLeakageCurrentE1d;
     uint8 QualityLeakageCurrentE2cd;
     uint8 QualityLeakageCurrentE3cd;
     uint8 QualityLeakageCurrentE4cd;
     uint8 QualityLeakageCurrentE5cd;
     uint8 QualityLeakageCurrentE6cd;
     uint8 QualityLeakageCurrentE7cd;
     uint8 QualityLeakageCurrentE8cd;
     uint8 QualityLeakageCurrentE9cd;
     uint8 QualityLeakageCurrentG2cd;
     uint8 QualityLeakageCurrentG3cd;
     uint8 QualityLeakageCurrentG4cd;
     uint8 QualityLeakageCurrentG5cd;
     uint8 QualityLeakageCurrentG6cd;
     uint8 QualityLeakageCurrentG7cd;
     uint8 QualityControlVoltageDacG2ab;
     uint8 QualityControlVoltageDacG3ab;
     uint8 QualityControlVoltageDacG4ab;
     uint8 QualityControlVoltageDacG5ab;
     uint8 QualityControlVoltageDacG6ab;
     uint8 QualityControlVoltageDacG7ab;
     uint8 QualityControlVoltageDacE9ab;
     uint8 QualityControlVoltageDacG2cd;
     uint8 QualityControlVoltageDacG3cd;
     uint8 QualityControlVoltageDacG4cd;
     uint8 QualityControlVoltageDacG5cd;
     uint8 QualityControlVoltageDacG6cd;
     uint8 QualityControlVoltageDacG7cd;
     uint8 QualityControlVoltageDacE9cd;
};


/* Definition:                                                       */
/*    ClockCycle = S/C clock of the first minor frame of the cycle   */
/*                                                                   */
/* Note: Quality bits are defined in the table below.  If the field  */
/*       which the quality byte is trying to characterize contains   */
/*       multiple bytes, the quality byte associated with the field  */
/*       is the logical "or" of the individual quality bytes.        */
/*                                                                   */
/* Quality bits:                                                     */
/*    0x01 = Format ID error                                         */
/*    0x02 = Minor/major counter error                               */
/*    0x04 = S/C clock error                                         */
/*    0x08 = Sync bit error                                          */
/*    0x10 = Command table index error                               */
/*    0x20 = Cycle number error                                      */
/*    0x40 = Level 0 quality bit                                     */
/*    0x80 = Level 1 quality bit                                     */
